## Add a note to a task's history (tenant:access)

`POST /api/workflow/v1/tasks/{instanceId}/note`

Module: Workflow · operationId: `addTaskNote` · Tag: Tasks · Auth: access token (`Authorization: Bearer <accessToken>`)

Records a note (history action `NOTE`) without changing the step. The task must be `OPEN` (`409
invalid_state`), assigned to the caller (`403 not_assigned`) and not claimed by someone else (`409
claimed_by_other`); a blank or too long note is `400 invalid` with `field: note`.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `instanceId` | path | string (uuid) | yes | Instance id (`guid`) |

### Request body

`application/json` (required)

- `note` (string, required): Trimmed; must not be blank. The limit counts characters. (max length 4000)

Example:

```json
{
  "note": "Lieferant hat telefonisch bestätigt."
}
```

### Responses

- **200** Saved (`application/json`)
- **400** Error (`application/json`)
- **401** Missing or invalid token (`unauthorized`) (`application/json`)
- **403** Error (`application/json`)
- **404** Error (`application/json`)
- **409** Error (`application/json`)
- **500** Error (`application/json`)

Fields of the 200 answer:

- `message` (string): Confirmation text
- `status` (string): Always `ok`

Example 200 answer:

```json
{
  "message": "Hinweis erfolgreich hinzugefügt",
  "status": "ok"
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/workflow/v1/tasks/3f9c2a1e-8b7d-4c6e-a5f4-1d2b3c4e5f60/note' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"note":"Lieferant hat telefonisch bestätigt."}'
```
